{% extends "baseBack.html.twig" %}
{% block container %}

    <link href="{{ asset('jTable/jquery.dataTables.min.css') }}" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="{{ asset('moment.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('notif/lobibox.min.css') }}"/>
    <div class="row">
        <div class="col-md-12">
            <!-- DATA TABLE -->
            <h3 class="title-5 m-b-35">Liste des types d'evenements</h3>
            <td class="table-responsive table-responsive-data2">
                <html>

                <!-- app/Resources/views/template.html.twig -->


                <body>

                </body>
                </html>
                <div class="row">
                    <div class="col-md-1"> </div>
                    <div class="col-md-10">
                        <!--<div class="sidebar-search">
                            <div class="input-group custom-search-form">
                                  <input type="text" id="search" class="form-control" placeholder="Recherche">
                              </div>

                        </div>
                        <br>-->
                    </div>
                    <div class="col-md-1"> </div>


                    <div class="col-md-10" style="margin-left: 10px !important;">
                        <table class="table  nomargin" cellspacing="0" width="100%" id="example">
                            <thead>

                            <tr>
                                <th>id</th>
                                <th>titre</th>
                                <th>description</th>
                                <th>action</th>
                            </tr>
                            </thead>
                            <tbody id="ajax">
                            {% for c in typeevenements %}
                                <tr class="tr-shadow">
                                    <td>
                                        <span class="status--process">{{ c.id }}</span>
                                    </td>
                                    <td>
                                        <span class="status--process">{{ c.type }}</span>
                                    </td>
                                    <td>
                                        <span class="status--process">{{ c.description }}</span>
                                    </td>

                                    <td>
                                        <a href="#" onclick="confirmDelete({{ c.id }})"> supprimer</a><br>
                                        <a href="{{ path('update_type_evenement',{'id':c.id}) }}"> modifier </a>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>

                    </div>
                </div>

        </div>
        <!-- END DATA TABLE -->
    </div>
    </div>

    <div class="navigation">
        {{ knp_pagination_render(typeevenements) }}
    </div>
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var searchRequest = null;
            $("#search").keyup(function() {
                var minlength = 1;
                var that = this;
                var value = $(this).val();
                var entitySelector = $("#entitiesNav").html('');
                if (value.length >= minlength ) {
                    if (searchRequest != null)
                        searchRequest.abort();
                    searchRequest = $.ajax({
                        type: "GET",
                        url: "{{ path('ajax_search') }}",
                        data: {
                            'q' : value
                        },
                        dataType: "text",
                        success: function(msg){
                            if(msg=="false"){
                                $('#ajax').empty();
                            }else{
                                $('#ajax').empty();
                                var result = JSON.parse(msg);
                                //  console.log(result)
                                result.forEach(data =>{
                                        $('#ajax').append('<tr class="tr-shadow">')
                                        $('#ajax').append("<td>"+data.id+"</td>")
                                        $('#ajax').append('<td> <span class="status--process">'+data.description+'</span> </td>')
                                        $('#ajax').append('<td>  <a href="#" onclick="confirmDelete('+data.id+')"> supprimer</a> <a href="updateoffre/'+data.id+'" > modifier</a> </td>')
                                        $('#ajax').append('</tr>')
                                    }

                                )

                            }
                        }
                    });
                }
            });
        });
    </script>


{% endblock %}

{% block js %}
    <script type="text/javascript" src="{{ asset('jTable/jquery-2.1.4.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('jTable/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('notif/lobibox.js') }}"></script>
    <script type="text/javascript">$(document).ready(function() {
            $('#example').DataTable();
        } );
    </script>


    <script>
        function confirmDelete(data){
            console.log(data)
            Lobibox.confirm({
                msg: "Voulez vous supprmier ce type",
                callback: function ($this, type, ev) {
                    if(type =="yes"){
                        window.location.href = "deletetypeevenement/"+data
                    }
                }
            });
        }
    </script>
{% endblock %}